1. Herzlich willkommen bei WPDE.org, dem grössten und ältesten deutschsprachigen Community-Forum rund um das Thema WordPress. Du musst angemeldet oder registriert sein, um Beiträge verfassen zu können.
    Information ausblenden

WP 5.6 Loco Translate macht Probleme mit Woo

Dieses Thema im Forum "WooCommerce" wurde erstellt von ille, 12. März 2021.

  1. ille

    ille Well-Known Member

    Registriert seit:
    24. Januar 2021
    Beiträge:
    49
    Zustimmungen:
    0
    Moin, ich glaube seit meinem letzten Update von WP auf 5.6 ist bei LocoTranslate was mit WooCommerce passiert so dass er die Deutsch übersetzten Zeilen nicht mehr auf der Seite anzeigt sondern nur auf Englisch

    Probleme sieht man auf der Produktseite wie z.B:

    https://disli.de/produkt/fossil-es4968/

    Hier sind:
    SKU:
    Categories:
    ADD to CART ... sind nicht übersetzt


    Im Backend unter Locotranslate und WooCommerce sieht es wie folgt aus :
    Alles zu 100% übersetzt.

    https://ibb.co/kmYwFPZ

    https://ibb.co/Ny1SNrP

    oder ist da Irgendwo ein Fehler ?

    Wie immer beste Grüße aus Hamburg
     
  2. mensmaximus

    mensmaximus Well-Known Member

    Registriert seit:
    24. Juli 2014
    Beiträge:
    8.769
    Zustimmungen:
    412
    Nein, an WooCommerce liegt das nicht. Es ist zu 100% auf Deutsch übersetzt. Wenn die Sprache des Shops also auf Deutsch Du oder Sie steht gibt es kein Problem. Diese Übersetzungsprobleme kommen zu 99% immer aus anderen Plugins oder dem Theme, weil diese Teile von WooCommerce ersetzen.
     
  3. ille

    ille Well-Known Member

    Registriert seit:
    24. Januar 2021
    Beiträge:
    49
    Zustimmungen:
    0
    OK leider war deren letzte Antwort:

    Hi ille,
    Those sections are controlled by WooCommerce. I think you may need to translate them via the WooCommerce plugin rather than the theme section.


    Ich weiß jetzt leider nicht was ich machen soll :(
     
  4. truetext

    truetext Well-Known Member

    Registriert seit:
    29. Dezember 2017
    Beiträge:
    153
    Zustimmungen:
    3
    schwer zu sagen, ob es vom theme oder woo kommt.
    klickst du Loco, klickst du Plugin, wählst du Woo
    je nachdem ob du Deutsch Sie oder Du wählst klicken Sie darunter auf Bearbeiten, dann gibt es ein Formularfeld "Übersetzung Filtern", da gibst du "Add to cart" ein, dann unten Übersetzung auf Deutsch: in die Einkaufstasche
    dann nacheinander Speichern und Synchronieren klicken
    :-O
     
  5. truetext

    truetext Well-Known Member

    Registriert seit:
    29. Dezember 2017
    Beiträge:
    153
    Zustimmungen:
    3
    ich benutze auch noch Language Fallback.
    Das stellt sicher, wenn überhaupt keine Übersetzung da ist, dann nimmt es wenigstens das es dann af das jeweils andere, also DU/SIE zurückfällt
     
  6. ille

    ille Well-Known Member

    Registriert seit:
    24. Januar 2021
    Beiträge:
    49
    Zustimmungen:
    0
    Was passiert wenn ich auch Language Fallback benutze,... geht das zusätzlich ?
     
  7. ille

    ille Well-Known Member

    Registriert seit:
    24. Januar 2021
    Beiträge:
    49
    Zustimmungen:
    0
    oder vielleicht einmal Loco deaktivieren und aktivieren ?
     
  8. mensmaximus

    mensmaximus Well-Known Member

    Registriert seit:
    24. Juli 2014
    Beiträge:
    8.769
    Zustimmungen:
    412
    Du kannst in Loco doch nach 'Add to cart' suchen und zwar in allen Strings.
     
  9. ille

    ille Well-Known Member

    Registriert seit:
    24. Januar 2021
    Beiträge:
    49
    Zustimmungen:
    0
    Jap hab ich und auch übersetzt nochmals aber immer noch keine Änderung :(
     
  10. mensmaximus

    mensmaximus Well-Known Member

    Registriert seit:
    24. Juli 2014
    Beiträge:
    8.769
    Zustimmungen:
    412
    wp-super-cache deaktivieren, bzw. cache löschen
     
  11. ille

    ille Well-Known Member

    Registriert seit:
    24. Januar 2021
    Beiträge:
    49
    Zustimmungen:
    0
    So habe wp-super-cache deaktiviert und wieder Aktiviert und auch Cache gelöscht

    https://ibb.co/yy0jkVX

    und auch Language Fallback installiert was ich in der Menü leiste nicht finde... falls man da einstellungen machen muss ... ?

    Aber leider ohne erfolg :(
     
  12. mensmaximus

    mensmaximus Well-Known Member

    Registriert seit:
    24. Juli 2014
    Beiträge:
    8.769
    Zustimmungen:
    412
    Was passiert wenn Du Supercache deaktiviert lässt? Und deaktiviere mal das Language Fallback Plugin.
     
  13. ille

    ille Well-Known Member

    Registriert seit:
    24. Januar 2021
    Beiträge:
    49
    Zustimmungen:
    0
  14. mensmaximus

    mensmaximus Well-Known Member

    Registriert seit:
    24. Juli 2014
    Beiträge:
    8.769
    Zustimmungen:
    412
    Auf dem Bild sehe ich kein aktives Loco Translate
     
  15. ille

    ille Well-Known Member

    Registriert seit:
    24. Januar 2021
    Beiträge:
    49
    Zustimmungen:
    0
  16. ille

    ille Well-Known Member

    Registriert seit:
    24. Januar 2021
    Beiträge:
    49
    Zustimmungen:
    0
  17. mensmaximus

    mensmaximus Well-Known Member

    Registriert seit:
    24. Juli 2014
    Beiträge:
    8.769
    Zustimmungen:
    412
    Ich bleibe dabei, die Texte werden von einem anderen Plugin oder vom Theme überschrieben. Ein gern übersehener Umstand ist die Verwendung eines Childthemes. Dann zeigt Loco das Parenttheme nicht an. Man muss explizit auf 'alle Themes' klicken. Dort kann man dann das Parenttheme auswählen und die Sprachdatei wie gewohnt bearbeiten. Schneller geht es, wenn man SSH Zugang zum Server hat. Dann kann man schnell nach dem zu übersetzenden Wort in allen .pot und .php Dateien greppen um herauszufinden wo man mit Loco übersetzen muss.
     
  18. b3317133

    b3317133 Well-Known Member

    Registriert seit:
    21. November 2014
    Beiträge:
    8.730
    Zustimmungen:
    1.005
    Dein Theme lt. dem themeforest Link nur bis WordPress 5.5.x und WooCommerce 4.6.x kompatibel. Du verwendest aber offenbar derzeit WordPress 5.6.2 und WooCommerce 5.0.0. Evtl. kann der Theme Support eine passendere Version des Themes zur Verfügung stellen.
     
  19. ille

    ille Well-Known Member

    Registriert seit:
    24. Januar 2021
    Beiträge:
    49
    Zustimmungen:
    0
    Soll ich einmal alle Plugins deaktivieren ausser das Theme / WooCommerce und die Woocomerce Extra Plugins wie Amazon / Paypal ... ?

    Werde wohl bei jedem Update ab sofort paar Monate warten... war sonst immer so Update-Geil :)

    Aber wie heisst es so schön never change running system :)


    Ach und vielen herzlichen Dank für die Unterstützung :)
     
    #19 ille, 14. März 2021
    Zuletzt bearbeitet: 14. März 2021
  20. mensmaximus

    mensmaximus Well-Known Member

    Registriert seit:
    24. Juli 2014
    Beiträge:
    8.769
    Zustimmungen:
    412
    Das ist eine super Idee. Wegen einer fehlenden Übersetzung lässt man Sicherheitslücken offen :rolleyes:

    Ich verstehe nicht was so schwierig daran ist einen String zu finden und zu übersetzen
     
  1. Diese Seite verwendet Cookies, um Inhalte zu personalisieren, diese deiner Erfahrung anzupassen und dich nach der Registrierung angemeldet zu halten.
    Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies.
    Information ausblenden
  1. Diese Seite verwendet Cookies, um Inhalte zu personalisieren, diese deiner Erfahrung anzupassen und dich nach der Registrierung angemeldet zu halten.
    Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies.
    Information ausblenden